
Figure - Bug #113031
【BSP】【EVT2】【MCU】【必现】【UserDebug】使用错误命名的bin文件，MCU会反复升级
2022-10-26 15:49 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-10-26

Priority: Normal Due date:

Assignee: CDTS_TEST 刘勇 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221025.alpha_0039

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221028

Reproducibility: Every time Fixed Version: 2022-10-27

Test Type: IT Root cause: MCU升级只检查了文件名，只要文件名中版本号跟当前MCU版本不一致就会升级，若文件名中版本号跟实际bin的版本号不一致就会触发反复升级

Description

【前提条件】

1.烧录10月25号Release的UD版本

2.等待自动启动 

3.确定当前MCU版本为0.0.1

【操作步骤】

1.将MCU实际版本V0.0.2的bin文件，修改为figureAPP_V0.0.3_a.bin

2.将MCU实际版本V0.0.2的bin文件，修改为figureAPP_V0.0.3_b.bin

3.依次输入

adb root

adb remount

adb reboot

adb root

adb remount

4.将figureAPP_V0.0.3_a.bin 、 figureAPP_V0.0.3_b.bin  push 进入 /system/tc/mcu

5.adb reboot 重启设备

【实际结果】

5.MCU升级成功，但持续升级（现象MCU反复重启）

【预期结果】

5.MCU升级成功，不持续升级

【概率】

5/5

History

#1 - 2022-10-27 14:27 - CD- FW-石豪

- Status changed from New to RESOLVED

- Assignee changed from CD- FW-石豪 to CDTS_TEST 刘勇

- Resolution changed from -- to FIXED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221028

- Fixed Version set to 2022-10-27

- Root cause set to MCU升级只检查了文件名，只要文件名中版本号跟当前MCU版本不一致就会升级，若文件名中版本号跟实际bin的版本号不一致就会触

发反复升级

【根本原因】MCU升级只检查了文件名，只要文件名中版本号跟当前MCU版本不一致就会升级，若文件名中版本号跟实际bin的版本号不一致就会触发
反复升级

【解决方案】检查bin中的版本号是否跟文件名和当前版本一致，若一致才触发升级

【提交代码】https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/158369

【合入日期】10.27，请在10.28及以后的版本验证

【验证步骤】

 1、当前mcu版本：v0.0.1

 2、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.2_a.bin figureAPP_V0.0.3_b.bin ，然后重启，过滤日志：MCUUpdate

 预期结果：不触发升级

 3、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.3_a.bin figureAPP_V0.0.3_b.bin ，然后重启，过滤日志：MCUUpdate

 预期结果：不触发升级

 4、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.3_a.bin figureAPP_V0.0.2_b.bin ，然后重启，过滤日志：MCUUpdate

 预期结果：不触发升级

 5、push v0.0.2的A v0.0.3的B，版本至system/tc/mcu, 命名：figureAPP_V0.0.2_a.bin figureAPP_V0.0.3_b.bin ，然后重启，过滤日志：MCUUpdate

 预期结果：不触发升级

 6、push v0.0.2的A v0.0.3的B，版本至system/tc/mcu, 命名：figureAPP_V0.0.3_a.bin figureAPP_V0.0.3_b.bin ，然后重启，过滤日志：MCUUpdate

 预期结果：不触发升级

 7、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.2_a.bin figureAPP_V0.0.2_b.bin ，然后重启，过滤日志：MCUUpdate

 预期结果：触发升级

【注意】不要push两个A分区固件或者两个B分区固件做测试，因为bin里面无法区分A分区和B分区

#2 - 2022-10-28 19:59 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

【HW】EVT2-VX1

【SW】FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202210280405

【前提条件】

1.刷入MPU后，删除原有MCU升级固件

【验证步骤】

1、当前mcu版本：v0.0.1

2、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.2_a.bin figureAPP_V0.0.3_b.bin ，然后重启，过滤日志：MCUUpdate

预期结果：不触发升级 【实际结果】：未升级

3、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.3_a.bin figureAPP_V0.0.3_b.bin ，然后重启，过滤日志：MCUUpdate

预期结果：不触发升级 【实际结果】：未升级

4、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.3_a.bin figureAPP_V0.0.2_b.bin ，然后重启，过滤日志：MCUUpdate

预期结果：不触发升级 【实际结果】：未升级

5、push v0.0.2的A v0.0.3的B，版本至system/tc/mcu, 命名：figureAPP_V0.0.2_a.bin figureAPP_V0.0.3_b.bin ，然后重启，过滤日志：MCUUpdate

预期结果：不触发升级 【实际结果】：未升级

6、push v0.0.2的A v0.0.3的B，版本至system/tc/mcu, 命名：figureAPP_V0.0.3_a.bin figureAPP_V0.0.3_b.bin ，然后重启，过滤日志：MCUUpdate

预期结果：不触发升级 【实际结果】：未升级

7、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.2_a.bin figureAPP_V0.0.2_b.bin ，然后重启，过滤日志：MCUUpdate

预期结果：触发升级   【实际结果】：升级

8、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.2_a.bin 

【实际结果】：未升级

9、push v0.0.2版本至system/tc/mcu, 命名：figureAPP_V0.0.3_a.bin 、 figureAPP_V0.0.3_b.bin ，然后重启，过滤日志：MCUUpdate

【实际结果】:未升级

【验证次数】：10次

【验证结果】PASS,验证通过

2025-07-04 2/3

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/158369


#3 - 2022-10-28 20:01 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

#4 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158369 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

FW:MCU-OTA:add fireware version check logicThe version of firmware A/B header file is inconsistent. Cancel the upgradeTC-RID: 1201-0200401IssueID:

TS-R-DF-113031Change-Id: I6506582e994237a810d6556a274cb1c9a182e2da

#5 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159292 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

FW:MCU-OTA:No need to check the hardware ID during the upgradeThe underlying layer is compatible with the MCU upgrade of EVT1 and EVT2TC-RID:

1201-0200401IssueID: TS-R-DF-113031Change-Id: Icf0350b55d65a80363ddb92ea210a26fe3e46dad
